import sys
import time
import logging
logger = logging.getLogger(__name__)
logging.basicConfig(filename="debug.log",
                    level=logging.DEBUG,
                    format='%(asctime)s.%(msecs)03d %(levelname)s %(module)s - %(funcName)s: %(message)s',
                    datefmt='%Y-%m-%d %H:%M:%S')

# Local imports
import controller

TARGET_ADDRESS = "E8:FB:13:55:02:24"

def main(serial_port):
    logger.debug('Serial port used: {}'.format(serial_port))
    central = controller.Central(serial_port)
    central.open()
    peripheral = central.connect(TARGET_ADDRESS)
    if peripheral:
        time.sleep(10)
        while peripheral.is_connected():
            time.sleep(10)
        peripheral.disconnect()
        time.sleep(3)
    logger.info('Closing central')
    central.close()


if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("{} <serial_port>".format(sys.argv[0]))
        sys.exit(1)
    main(sys.argv[1])
    quit()
